Subject: Re: bug#70221: [PATCH] New function `funcall-later`

From: Felician Nemeth <[email-masked]>
Date: Fri, 05 Apr 2024 22:49:46 +0200

> `run-with-timer` does largely the same thing when passed a 0 timeout
> and no repetition, but it is a bit more costly and relies on the timers,
> which don't work as well in batch mode.

Do this mean (run-with-timer 0 nil ...) can always be replaced with a
more efficient (funcall-later ...)?  If so, would it make sense to
modify run-with-time as well to call funcall-later when if its first two
argument is (0 nil)?

Thanks.